
// JavaScript でエンコードしても GoAhead がうまく処理してくれない
// 文字があるので、独自のエンコード機能を実装する
// エンコーディング方法：
//      "<" + エンコードしたい文字のASCIIコード(10進) + ">"
function encodeAGP(data)
{
    var ret = data;
    ret = data.replace(/#/g, "<35>");

    return ret;
}

// デバイスビュー−書き込みフォームを開く.
function openDeviceViewWrite(language, machine_name, address, type)
{
    var url = "/goform/Controller?req=device_view_write_form&lang=" + language;
    url += "&machine_name=" + machine_name;
    url += "&address=" + address;
    url += "&type=" + type;
    url = encodeAGP(url);
    window.open(url,'subwin','width=700,height=200,drectoriesion=no,menubar=no,scrollbars=no,status=no,resizable=no');
}

//ログアウト時画面を閉じる IE6のみ正常動作
function closeConfirm() {
    if(!confirm("ログオフしますか。")) {
        return false;
    } else {
        window.parent.close();
    }
}
